Loading...
Searching...
No Matches
os_init_data Struct Reference

Data used during translation system initialization. More...

`#include <addrxlat-priv.h>`

## Data Fields

addrxlat_sys_t * | sys
| Target translation system.
addrxlat_ctx_t * | ctx
| Translation context used for initialization.
struct parsed_opts | popt
| Parsed options.
enum os_type | os_type
| OS type.

## Detailed Description

Data used during translation system initialization.

## Field Documentation

## os_type

enum os_type os_init_data::os_type

OS type.

This field is set to @xref OS_UNKNOWN if the OS type attribute was not specified or is not understood.

The documentation for this struct was generated from the following file:

- src/addrxlat/addrxlat-priv.h